#ifndef __DATA__
#define __DATA__

#ifdef __cplusplus
extern "C" {
#endif

void *cube_thread(void *param);
void cube_about();
void cube_configure();
void cube_init();
void cube_destroy();
gint cube_is_our_file(char *);
gint cube_is_our_file_from_vfs(gchar *filename,VFSFile *fd); 
void cube_play(InputPlayback *);
void cube_stop(InputPlayback *);
void cube_seek(InputPlayback *, gint time);
void cube_pause(InputPlayback *, gshort paused);
int cube_get_time(InputPlayback *);
void cube_get_song_info(char *,char **,int *);
void cube_file_info_box(char *);
void cube_mseek(InputPlayback *,gulong ms);

  extern InputPlugin cube_iplug;
  extern gchar *cube_exts[];

#ifdef __cplusplus
}
#endif

#endif
